---
title: RTCTrackEventInit.track
slug: Web/API/RTCTrackEventInit/track
tags:
  - API
  - Media
  - Property
  - RTCTrackEventInit
  - Reference
  - WebRTC
  - WebRTC API
  - events
  - track
---
<div>{{APIRef("WebAPI")}}</div>

<p><span class="seoSummary">The {{domxref("RTCTrackEventInit")}} dictionary's <strong><code>track</code></strong> property specifies the {{domxref("MediaStreamTrack")}} associated with the {{event("track")}} event.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>trackEventInit</em> = {
  receiver: <em>rtpReceiver</em>,
  track: <em>mediaStreamTrack</em>,
  streams: [<em>videoStream</em>],
  transceiver: <em>rtpTransceiver</em>
};

var <em>track</em> = <em>trackEventInit</em>.track;</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("MediaStreamTrack")}} representing the track with which the event is associated. This is the track that's being added to the {{domxref("RTCPeerConnection")}}.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('WebRTC 1.0', '#dom-rtctrackeventinit-track', 'RTCTrackEventInit.track')}}</td>
   <td>{{Spec2('WebRTC 1.0')}}</td>
   <td>Initial specification.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.RTCTrackEventInit.track")}}</p>
